Attribute VB_Name = "FileInput"
Option Explicit

Public Type ScrawlLetter
    iArray() As Integer     ' count,x(1),y(1),...,x(count),y(count)
End Type
Public Function GetNumber(FileHandle As Integer) As Double
    ' The FileHandle must refer to a previously opened
    ' BINARY access File Stream
    
    Dim bytInput As Byte
    Dim strNumber As String
    GetNumber = 0
    strNumber = Empty
    
    ' Get a char from the stream
    Get FileHandle, , bytInput
    
    ' While the char is not '#' or EOF
    While bytInput <> Asc("#") And Not EOF(FileHandle)
        Get #FileHandle, , bytInput
    Wend
    
    ' If it is EOF then exit...
    If EOF(FileHandle) Then
        Exit Function
    End If
    
    ' If not, keep getting the data from the file while
    ' it is still numeric
    
    Get #FileHandle, , bytInput
    
    While TestForDigit(bytInput) = True
        ' Add this byte on to the string
        strNumber = strNumber & Chr(bytInput)
        ' And get another one
        Get #FileHandle, , bytInput
    Wend
    GetNumber = strNumber
    
End Function

Private Function TestForDigit(bytTest As Byte) As Boolean
    ' Test to see if the byte is a digit...
    
    Select Case bytTest
        ' If it is a digit
        Case Asc("-"), Asc("."), Asc("0") To Asc("9")
            TestForDigit = True
        ' If it isn't
        Case Else
            TestForDigit = False
    End Select
    
End Function
